Name:           plee-the-bear
Version:        0.4.1
Release:        7%{?dist}
Summary:        2D platform game
Group:          Amusements/Games
# Code and artwork respectively
License:        GPLv2+ and CC-BY-SA
URL:            http://plee-the-bear.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/plee-the-bear/Plee%20the%20Bear/0.4/%{name}-%{version}.tar.gz
Patch0:         plee-the-bear-0.4.1-boost.patch
# Fix incorrect return type.
# SVN 3463, 3465
# http://plee-the-bear.svn.sourceforge.net/viewvc/plee-the-bear?view=revision&revision=3463
# http://plee-the-bear.svn.sourceforge.net/viewvc/plee-the-bear?view=revision&revision=3465
Patch1:         plee-the-bear-0.4.1-svn3463.patch
Patch2:         plee-the-bear-0.4.1-svn3465.patch

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  desktop-file-utils
BuildRequires:  libclaw-devel
BuildRequires:  boost-devel
BuildRequires:  wxGTK-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  gettext
BuildRequires:  cmake

%description
Plee the Bear is a 2D platform game like those we found on consoles in the
beginning of the 90's. The basis of the scenario fit in few lines:

4 PM or so, Plee wakes up, tired. He has dreamed again about that awesome
period when he went across the entire world together with his belle. He
puts his leg in the honey pot... empty! Moreover every single honey pot in
the house is empty. "One more trick of that kid", he thinks. "I'm going to
give him such a wallop of which he sure will remember".

Following honey drops on the ground, Plee reaches the edge of the forest.
Beginning of the game.

The game is led by Julien Jorge and Sebastien Angibaud. Nevertheless, the
game counts several contributions from external people.


%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .svn3463
%patch2 -p1 -b .svn3465

%build
%cmake  . \
        -DPTB_INSTALL_CUSTOM_LIBRARY_DIR=%{_lib} \
        -DBEAR_ENGINE_INSTALL_LIBRARY_DIR=%{_lib} \
        -DBEAR_FACTORY_INSTALL_LIBRARY_DIR=%{_lib}
make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT VERBOSE=1 INSTALL="install -p"

# Translations
%find_lang %{name}
%find_lang bear-factory
cat bear-factory.lang >>%{name}.lang

# Menu entries
for F in $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
do
        desktop-file-validate $F
done


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
/sbin/ldconfig
[ $1 = 0 ] || exit 0
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_bindir}/*
%{_datadir}/plee-the-bear
%{_datadir}/bear-factory
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/pixmaps/*
%doc CCPL COPYING GPL 


%changelog
* Sat Sep 18 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.1-7
- fix incorrect return type

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 0.4.1-6
- rebuilt against wxGTK-2.8.11-2

* Wed Feb 17 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.4.1-5
- Fix build

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.4.1-4
- Rebuild for Boost soname bump

* Sun Nov 29 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.4.1-3
- Fix libdir for 64-bit archs

* Fri Sep 18 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.4.1-2
- Incorporate suggestions from review (#524283#c2, Simon Wesp)
- Fix license tag
- Preserve timestamps
- Regenerate icon cache

* Fri Sep 18 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.4.1-1
- Initial packaging
